import { __decorate, __param } from 'vscode/external/tslib/tslib.es6.js';
import { getErrorMessage } from 'vscode/vscode/vs/base/common/errors';
import { Disposable } from 'vscode/vscode/vs/base/common/lifecycle';
import { URI } from 'vscode/vscode/vs/base/common/uri';
import { ILogService } from 'vscode/vscode/vs/platform/log/common/log.service';
import { IBrowserWorkbenchEnvironmentService } from 'vscode/vscode/vs/workbench/services/environment/browser/environmentService.service';
import { IUserDataProfileImportExportService } from 'vscode/vscode/vs/workbench/services/userDataProfile/common/userDataProfile.service';

let UserDataProfilePreviewContribution = class UserDataProfilePreviewContribution extends Disposable {
    constructor(environmentService, userDataProfileImportExportService, logService) {
        super();
        if (environmentService.options?.profileToPreview) {
            userDataProfileImportExportService.importProfile(URI.revive(environmentService.options.profileToPreview), { mode: 'both' })
                .then(null, error => logService.error('Error while previewing the profile', getErrorMessage(error)));
        }
    }
};
UserDataProfilePreviewContribution = ( __decorate([
    ( __param(0, IBrowserWorkbenchEnvironmentService)),
    ( __param(1, IUserDataProfileImportExportService)),
    ( __param(2, ILogService))
], UserDataProfilePreviewContribution));

export { UserDataProfilePreviewContribution };
